/*  This plugin creates shortcode buttons and a settings interface for easy insertion of SlidesShowPro slideshows within posts and pages.
    Copyright (C) 2011  Mark Luetke

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
(function() {  
    tinymce.create('tinymce.plugins.shortcodeBtns', {  
        
        init : function(ed, url) {  
            ed.addButton('slideShowProSC', {  
                title : 'Add a Slideshow',  
                image : url+'/images/media-button-ssp-sc.png',  
                onclick : function() {  
                     ed.selection.setContent('[slideShowProSC width="" height="" album=""]');  
                }  
            }); 
                    
        }, 
        createControl : function(n, cm) {  
            return null;  
        }, 
        
         
    });  
    tinymce.PluginManager.add('shortcodeBtns', tinymce.plugins.shortcodeBtns);  
})();  